# List component summaries

Retrieves a lightweight list of components containing only `id`, `name`, `displayName`, `systemName` and `modelId` for all sites or specific sites. Use this endpoint for any scenario that does not require full component details.

Endpoint: GET /api/v1/components/summaries
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Query parameters:

  - `siteId` (string)
    The site identifier.

  - `environmentId` (string)
    The environment identifier. Defaults to "main". Currently only "main" is supported.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `id` (string)
    The identifier of the component.
    Example: 2492bac4-da07-4c86-87f0-9873d40e2276

  - `name` (string)
    The name of the component.
    Example: Hero Banner

  - `displayName` (string)
    The component display name.
    Example: Banner

  - `systemName` (string)
    The component system name.
    Example: HeroBanner

  - `modelId` (string)
    The identifier of the content type.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

## Response 400:

  - `400` (unknown)
    One or more validation errors occurred

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

